Package org.python.modules.posix

## Class PythonPOSIXHandler

- java.lang.Object
- - org.python.modules.posix.PythonPOSIXHandler

- All Implemented Interfaces:
    `jnr.posix.POSIXHandler`

      public class PythonPOSIXHandler
      extends java.lang.Object
      implements jnr.posix.POSIXHandler

  Jython specific hooks for our underlying POSIX library.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface jnr.posix.POSIXHandler

      `jnr.posix.POSIXHandler.WARNING_ID`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PythonPOSIXHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `error​(jnr.constants.platform.Errno error, java.lang.String extraData)` |
    `void` | `error​(jnr.constants.platform.Errno error, java.lang.String methodName, java.lang.String extraData)` |
    `java.io.File` | `getCurrentWorkingDirectory()` |
    `java.lang.String[]` | `getEnv()` |
    `java.io.PrintStream` | `getErrorStream()` |
    `java.io.InputStream` | `getInputStream()` |
    `java.io.PrintStream` | `getOutputStream()` |
    `int` | `getPID()` |
    `boolean` | `isVerbose()` |
    `void` | `unimplementedError​(java.lang.String methodName)` |
    `void` | `warn​(jnr.posix.POSIXHandler.WARNING_ID id, java.lang.String message, java.lang.Object... data)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PythonPOSIXHandler

          public PythonPOSIXHandler()

  - ### Method Detail

    - #### error

          public void error​(jnr.constants.platform.Errno error,
                            java.lang.String extraData)

      Specified by:
        `error` in interface `jnr.posix.POSIXHandler`

    - #### error

          public void error​(jnr.constants.platform.Errno error,
                            java.lang.String methodName,
                            java.lang.String extraData)

      Specified by:
        `error` in interface `jnr.posix.POSIXHandler`

    - #### unimplementedError

          public void unimplementedError​(java.lang.String methodName)

      Specified by:
        `unimplementedError` in interface `jnr.posix.POSIXHandler`

    - #### warn

          public void warn​(jnr.posix.POSIXHandler.WARNING_ID id,
                           java.lang.String message,
                           java.lang.Object... data)

      Specified by:
        `warn` in interface `jnr.posix.POSIXHandler`

    - #### isVerbose

          public boolean isVerbose()

      Specified by:
        `isVerbose` in interface `jnr.posix.POSIXHandler`

    - #### getCurrentWorkingDirectory

          public java.io.File getCurrentWorkingDirectory()

      Specified by:
        `getCurrentWorkingDirectory` in interface `jnr.posix.POSIXHandler`

    - #### getEnv

          public java.lang.String[] getEnv()

      Specified by:
        `getEnv` in interface `jnr.posix.POSIXHandler`

    - #### getInputStream

          public java.io.InputStream getInputStream()

      Specified by:
        `getInputStream` in interface `jnr.posix.POSIXHandler`

    - #### getOutputStream

          public java.io.PrintStream getOutputStream()

      Specified by:
        `getOutputStream` in interface `jnr.posix.POSIXHandler`

    - #### getPID

          public int getPID()

      Specified by:
        `getPID` in interface `jnr.posix.POSIXHandler`

    - #### getErrorStream

          public java.io.PrintStream getErrorStream()

      Specified by:
        `getErrorStream` in interface `jnr.posix.POSIXHandler`